> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payin/submit-a-payin/kenya/mobilemoney.md).

# MOBILEMONEY

## Payin by MOBILEMONEY

**Step 1:** Get the "prepay\_id" from the API response. Each transaction should create a unique prepay\_id.

<mark style="color:green;">`POST`</mark> `https://gateway-test.pagsmile.com/trade/pay`

This endpoint allows you to submit a payin by MOBILEMONEY in Kenya.

#### Headers

| Name                                            | Type   | Description                                |
| ----------------------------------------------- | ------ | ------------------------------------------ |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; chartset=UTF-8           |
| Authorization<mark style="color:red;">\*</mark> | string | Basic Base($app\_*id:$security\_*&#x6B;ey) |

#### Request Body

<table><thead><tr><th width="277">Name</th><th width="166">Type</th><th>Description</th></tr></thead><tbody><tr><td>app_id<mark style="color:red;">*</mark></td><td>string</td><td><p>created app's id at dashboard</p><p>- Max. 32 chars -</p></td></tr><tr><td>method<mark style="color:red;">*</mark></td><td>string</td><td>Fixed value: MOBILEMONEY</td></tr><tr><td>out_trade_no<mark style="color:red;">*</mark></td><td>string</td><td>ID given by the merchant in their system<br>- Max. 64 chars -</td></tr><tr><td>notify_url<mark style="color:red;">*</mark></td><td>string</td><td>Where Pagsmile will send notification to</td></tr><tr><td>timestamp<mark style="color:red;">*</mark></td><td>string</td><td>yyyy-MM-dd HH:mm:ss<br>- Max. 19 chars -</td></tr><tr><td>subject<mark style="color:red;">*</mark></td><td>string</td><td><p>payment reason or item title</p><p>- Max. 128 chars -</p></td></tr><tr><td>order_amount<mark style="color:red;">*</mark></td><td>string</td><td>payment amount<br>- 10 ~ 50,000 KES<br>(Only Integer) -</td></tr><tr><td>order_currency<mark style="color:red;">*</mark></td><td>string</td><td>Fixed value: KES</td></tr><tr><td>content</td><td>string</td><td><p>payment reason detail or item detail</p><p>- Max. 255 chars -</p></td></tr><tr><td>buyer_id<mark style="color:red;">*</mark></td><td>string</td><td>merchant user's id</td></tr><tr><td>version<mark style="color:red;">*</mark></td><td>string</td><td>Fixed value: 2.0</td></tr><tr><td>trade_type<mark style="color:red;">*</mark></td><td>string</td><td>Fixed value: WEB</td></tr><tr><td>customer.email<mark style="color:red;">*</mark></td><td>string</td><td>User's email</td></tr><tr><td>customer.phone<mark style="color:red;">*</mark></td><td>string</td><td>User's phone</td></tr></tbody></table>

{% tabs %}
{% tab title="200 submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "prepay_id": "c29****cF7",
    "trade_no": "20***99",
    "out_trade_no": "out_tr***00",
    "web_url": "",
    "pay_url": "https://checkout.pagsmile.com/checkout?prepay_id=c29BN****cF7",
    "trade_status": "PROCESSING",
    "due_date": "2026-06-05 08:52:31"
}
```

{% endtab %}

{% tab title="400 duplicate out\_trade\_no" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "duplicate-out_trade_no",
    "sub_msg": "out_trade_no is duplicate"
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://gateway-test.pagsmile.com/trade/create' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ' \
--header 'Content-Type: application/json' \
--data-raw '{
  "app_id": "17***150",
  "out_trade_no": "out_t***600",
  "order_currency": "KES",
  "order_amount": "5",
  "method": "MOBILEMONEY",
  "subject": "qweqwr asdasfas",
  "content": "xasfsdg fjghkhjkh",
  "trade_type": "WEB",
  "timestamp": "2026-06-04 16:52:22",
  "notify_url": "http://demo.gemini-tiger.cn/callback/success",
  "buyer_id": "buyer_22_041302web",
  "timeout_express": "15d",
  "version": "2.0",
  "customer": {
    "email": "test@test.com",
    "phone": "254700000000"
  }
}'
```

{% hint style="info" %}
Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox, and **MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==** is authorization token associated with the test app id.
{% endhint %}

{% hint style="danger" %}
Please use your own **app\_id** and generate your own **authorization token** when testing.
{% endhint %}
